/*
 *  OMIKUJI Machine for STM32F401re nucleo board
 *
 *  Copyright(C) by YI Studio
 */

#ifndef  __PRINTOUT_H__
#define  __PRINTOUT_H__

#define DEF_PRINT_AREA_X   384
#define DEF_PRINT_AREA_Y  1024
#define DEF_PRINT_BYTE_Y  ((DEF_PRINT_AREA_Y+7) / 8)
#define DEF_PRINT_BMP_A_Y (((DEF_PRINT_BYTE_Y+3) / 4) * 4)
#define DEF_PRINT_PRN_A_Y (((DEF_PRINT_AREA_Y+23) / 24) * 3)
#define DEF_PRINT_REL_Y   DEF_PRINT_PRN_A_Y


void  print_area_clear( void );
void  print_pixel_set( int x, int y );
void  print_output_area( void );
void  print_init( void );

#endif  /* __PRINTOUT_H__ */
